function [X1,X2]=Trace_6axes_trajectoire_double(q11,q21,p,specs)
%trac trajectoire relle du robot  partir de q11=6*n chantillons
%trac trajectoire relle du robot  partir de q21=6*n chantillons
%trac trajectoire attendue du robot  partir de p=3* n chantillons
figure

n=numel(q11(1,:));

l1=specs.l1;
l2=specs.l2;
w1=[];
w2=[];
%remapping
for i=1:n
q1=q11(1,i);
q2=q11(2,i);
q3=q11(3,i);
q4=q11(4,i);
q5=q11(5,i);
q6=q11(6,i);

T01=[cos(q1) -sin(q1) 0 0;sin(q1) cos(q1) 0 0; 0 0 1 0; 0 0 0 1];%ok
T12=[cos(q2) -sin(q2) 0 0;0 0 1 0; -sin(q2) -cos(q2) 0 0; 0 0 0 1];%ok
T23=[cos(q3) -sin(q3) 0 l1;sin(q3) cos(q3) 0 0; 0 0 1 0; 0 0 0 1];%ok
T34=[cos(q4) -sin(q4) 0 0;0 0 1 l2;-sin(q4) -cos(q4) 0 0; 0 0 0 1];
T45=[cos(q5) -sin(q5) 0 0;0 0 -1 0; sin(q5) cos(q5) 0 0; 0 0 0 1];
T56=[cos(q6) -sin(q6) 0 0;0 0 1 0; -sin(q6) -cos(q6) 0 0; 0 0 0 1];


T1=T01*T12*T23*T34*T45*T56;
Tint11=T01*T12*T23;
Tint21=Tint11*T34;


q1=q21(1,i);
q2=q21(2,i);
q3=q21(3,i);
q4=q21(4,i);
q5=q21(5,i);
q6=q21(6,i);

T01=[cos(q1) -sin(q1) 0 0;sin(q1) cos(q1) 0 0; 0 0 1 0; 0 0 0 1];%ok
T12=[cos(q2) -sin(q2) 0 0;0 0 1 0; -sin(q2) -cos(q2) 0 0; 0 0 0 1];%ok
T23=[cos(q3) -sin(q3) 0 l1;sin(q3) cos(q3) 0 0; 0 0 1 0; 0 0 0 1];%ok
T34=[cos(q4) -sin(q4) 0 0;0 0 1 l2;-sin(q4) -cos(q4) 0 0; 0 0 0 1];
T45=[cos(q5) -sin(q5) 0 0;0 0 -1 0; sin(q5) cos(q5) 0 0; 0 0 0 1];
T56=[cos(q6) -sin(q6) 0 0;0 0 1 0; -sin(q6) -cos(q6) 0 0; 0 0 0 1];

T2=T01*T12*T23*T34*T45*T56;
Tint12=T01*T12*T23;
Tint22=Tint12*T34;


Xp1=T1*([0 0 0.05 1]');
X1=[0 0 0
   Tint11(1:3,4)' 
   Tint21(1:3,4)'
   Xp1(1:3)'];
w1=[w1;X1(3,:)];

Xp2=T2*([0 0 0.05 1]');
X2=[0 0 0
   Tint12(1:3,4)' 
   Tint22(1:3,4)'
   Xp2(1:3)'];
w2=[w2;X2(3,:)];
hold off
plot3(X1(1:3,1),X1(1:3,2),X1(1:3,3),'r','LineWidth',3);
hold on
grid on
plot3(X2(1:3,1),X2(1:3,2),X2(1:3,3),'c','LineWidth',3);

plot3(X1(3:4,1),X1(3:4,2),X1(3:4,3),'or','LineWidth',3);
plot3(X2(3:4,1),X2(3:4,2),X2(3:4,3),'oc','LineWidth',3);
plot3(p(1,1:i),p(2,1:i),p(3,1:i),'k','LineWidth',3);
plot3(w1(:,1),w1(:,2),w1(:,3),'--g','LineWidth',3);
plot3(w2(:,1),w2(:,2),w2(:,3),'--m','LineWidth',3);
        axis([0 1 -0.6 0.6 -0.6 0.6])
        %set(gca,'DataAspectRatio',[1 1 1]);
        view(45,45);
        pause(0.02);
end
end